Skip to main content
GET
/
inbox
Get Many Inboxes
curl --request GET \
  --url https://api.lemlist.com/api/inbox \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "_id": "ibx_RsROKFC3gmowgc74P",
      "opportunities": [],
      "lastActivityAt": "2024-12-17T09:42:32.971Z",
      "createdBy": "act_gKmkJOLCfUl4TkhIl",
      "channels": [
        "email"
      ],
      "teamId": "tea_8QvkOiBfPdb2ZRhHi",
      "contactId": "ctc_Ds0IaxECSACsbLMzA",
      "users": [
        {
          "userId": "usr_xtJHBMYJSOHzI3ZFb",
          "sender": true,
          "read": true
        },
        {
          "userId": "usr_bcPQCObkKptmHw2Rp",
          "sender": true,
          "read": true
        }
      ],
      "createdAt": "2024-12-03T09:52:55.466Z",
      "haveReplies": true,
      "lastRepliedAt": "2024-12-03T10:12:20.620Z",
      "lastRepliedChannel": "email",
      "contact": {
        "_id": "ctc_Ds0IaxECSACsbLMzA",
        "fullName": "Alex",
        "email": "alex@example.com"
      }
    },
    {
      "_id": "ibx_M1qunaOcugoqSEnNY",
      "opportunities": [],
      "lastActivityAt": "2024-12-17T09:42:30.430Z",
      "createdBy": "act_AzW7OkDzo7GZzfBYq",
      "channels": [
        "email"
      ],
      "teamId": "tea_8QvkOiBfPdb2ZRhHi",
      "contactId": "ctc_p66lDxuCdb9ZUMSN2",
      "users": [
        {
          "userId": "usr_xtJHBMYJSOHzI3ZFb",
          "sender": true,
          "read": false
        },
        {
          "userId": "usr_bcPQCObkKptmHw2Rp",
          "sender": true,
          "read": true
        }
      ],
      "createdAt": "2024-12-03T14:01:15.873Z",
      "haveReplies": true,
      "lastRepliedAt": "2024-12-03T14:14:00.848Z",
      "lastRepliedChannel": "email",
      "contact": {
        "_id": "ctc_p66lDxuCdb9ZUMSN2",
        "email": "casey@example.com"
      }
    },
    {
      "_id": "ibx_6vBhQEot19XAsTKvr",
      "opportunities": [],
      "lastActivityAt": "2024-12-17T09:42:17.682Z",
      "createdBy": "act_38dXN8dzn6D8LU9dp",
      "channels": [
        "email"
      ],
      "teamId": "tea_8QvkOiBfPdb2ZRhHi",
      "contactId": "ctc_rtlWNMHykdtwjih7i",
      "users": [
        {
          "userId": "usr_xtJHBMYJSOHzI3ZFb",
          "sender": true,
          "read": true
        },
        {
          "userId": "usr_bcPQCObkKptmHw2Rp",
          "sender": true,
          "read": true
        }
      ],
      "createdAt": "2024-12-02T16:27:50.927Z",
      "haveReplies": true,
      "lastRepliedAt": "2024-12-02T16:38:35.875Z",
      "lastRepliedChannel": "email",
      "contact": {
        "_id": "ctc_rtlWNMHykdtwjih7i",
        "email": "morgan@example.com"
      }
    },
    {
      "_id": "ibx_wemRUwJQXZLRTjG8F",
      "opportunities": [],
      "lastActivityAt": "2024-12-04T16:58:53.629Z",
      "createdBy": "act_GjM4hNyXjAm29XGa2",
      "channels": [
        "email"
      ],
      "teamId": "tea_8QvkOiBfPdb2ZRhHi",
      "contactId": "ctc_POL1cAPMvKzr851KU",
      "users": [
        {
          "userId": "usr_xtJHBMYJSOHzI3ZFb",
          "sender": true,
          "read": true
        },
        {
          "userId": "usr_bcPQCObkKptmHw2Rp",
          "sender": true,
          "read": true
        }
      ],
      "createdAt": "2024-11-29T11:40:17.918Z",
      "haveReplies": true,
      "lastRepliedAt": "2024-12-04T15:47:00.816Z",
      "lastRepliedChannel": "email",
      "contact": {
        "_id": "ctc_POL1cAPMvKzr851KU",
        "fullName": "Jordan",
        "email": "jordan@example.com"
      }
    }
  ],
  "pagination": {
    "totalItems": 4,
    "currentPage": 1,
    "nextPage": null,
    "previousPage": null,
    "perPage": 10,
    "totalPages": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint uses the Inbox Conversation object.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

page
integer

The page number to retrieve

limit
integer

The maximum number of records to return

userId
string
required

Filter by user ID

Response

Success

data
object[]
pagination
object